<h1>Formulario "ejercicio-38"</h1>
<hr>

<div class="container">
  <form (ngSubmit)="guardar()" #forma="ngForm">
    <div>
      <div class="row">
        <div class="col-5">
          <label for="fname" class="lbl">Nombres</label>
        </div>
        <div>
          <input
          type="text"
          id="fname"
          placeholder="Nombre"
          class="txtbox"
          name="nombre"
          [(ngModel)]="persona.nombre"
          required
          minlength="5"
          #nombre="ngModel"
          [class.is-invalid]="nombre.invalid && nombre.touched"
          pattern="^[a-zA-ZñÑ\s]+$"
          >
          <small class="text-danger" *ngIf="nombre.invalid && nombre.touched">
            Ingrese más de 4 letras
          </small>
        </div>
      </div>
      <div class="row">
        <div class="col-5">
          <label for="direccion" class="lbl">Dirección</label>
        </div>
        <div>
          <input
          type="text"
          placeholder="Direccion"
          class="txtbox"
          name="direccion"
          [(ngModel)]="persona.direccion"
          required
          minlength="5"
          #direccion="ngModel"
          [class.is-invalid]="direccion.invalid && direccion.touched"
          pattern="^[a-zA-ZñÑ\s]+$"
          >

          <small class="text-danger" *ngIf="direccion.invalid && direccion.touched">
            Ingrese mas de 3 letras
          </small>
        </div>
      </div>

      <div class="row">
        <div>
          <input
          type="checkbox"
          id="faceptar"
          name="acepto"
          required
          [(ngModel)]="persona.acepto"
          #acepto = "ngModel"
          [class.is-invalid]="acepto.invalid && acepto.touched"
          > Acepta los terminos y condiciones. 
        </div>
        <br>
      </div>
    </div>

    <div class="row">

      <div class="alinea-btn">
        <button type="submit" class="btn" [disabled]="!forma.valid"
        >Guardar</button>
      </div>
    </div>
  </form>
</div>